summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ján Sučan2013-06-16 23:40:25 +0200
committer Niels Horn2013-06-23 02:32:31 +0200
commit614dbe7772172720ca868c5ba660d3bda6bb8df5 (patch)
tree320560ebfc7790564e59dda730302cc30f81385c
parent40194d9f5503ce24e39525ab47e4d31aa1a403b3 (diff)
downloadslackbuilds-614dbe7772172720ca868c5ba660d3bda6bb8df5.tar.gz
desktop/xfce4-mailwatch-plugin: Added (Xfce plugin for checking mails)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--desktop/xfce4-mailwatch-plugin/README14
-rw-r--r--desktop/xfce4-mailwatch-plugin/doinst.sh6
-rw-r--r--desktop/xfce4-mailwatch-plugin/gnutls-transport-set-lowat.patch15
-rw-r--r--desktop/xfce4-mailwatch-plugin/slack-desc19
-rw-r--r--desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild113
-rw-r--r--desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.info10
6 files changed, 177 insertions, 0 deletions
diff --git a/desktop/xfce4-mailwatch-plugin/README b/desktop/xfce4-mailwatch-plugin/README
new file mode 100644
index 0000000000..954f3e3ad6
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/README
@@ -0,0 +1,14 @@
+Mailwatch is a plugin for the Xfce 4 panel. It is intended to
+replace the old (4.0, 4.2) mail checker plugin in Xfce 4.4.
+
+Features
+* IMAP and Secure IMAP support
+* POP3 and Secure POP3 support
+* Local Mbox mailbox support
+* Local Maildir mailbox support
+* Local MH-Maildir mailbox support
+* GMail support
+* Fully multithreaded design: no panel lockups
+* Informative new-message breakdown in tooltip
+* Ability to run program on new messages or button click
+* Informative logger to help track down mail connection problems
diff --git a/desktop/xfce4-mailwatch-plugin/doinst.sh b/desktop/xfce4-mailwatch-plugin/doinst.sh
new file mode 100644
index 0000000000..30eb690936
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/xfce4-mailwatch-plugin/gnutls-transport-set-lowat.patch b/desktop/xfce4-mailwatch-plugin/gnutls-transport-set-lowat.patch
new file mode 100644
index 0000000000..6ff8139ebb
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/gnutls-transport-set-lowat.patch
@@ -0,0 +1,15 @@
+--- xfce4-mailwatch-plugin-1.1.0.orig/libmailwatch-core/mailwatch-net-conn.c 2008-08-30 10:57:36.000000000 +0200
++++ xfce4-mailwatch-plugin-1.1.0/libmailwatch-core/mailwatch-net-conn.c 2013-06-10 14:18:36.209263440 +0200
+@@ -621,9 +621,11 @@
+ net_conn->gt_creds);
+ gnutls_transport_set_ptr(net_conn->gt_session,
+ (gnutls_transport_ptr_t)net_conn->fd);
++#if GNUTLS_VERSION_NUMBER < 0x020c00
+ if(fcntl(net_conn->fd, F_GETFL) & O_NONBLOCK)
+ gnutls_transport_set_lowat(net_conn->gt_session, 0);
+-
++#endif
++
+ if(!xfce_mailwatch_net_conn_tls_handshake(net_conn, error)) {
+ #if 0
+ gnutls_bye(net_conn->gt_session, GNUTLS_SHUT_RDWR);
diff --git a/desktop/xfce4-mailwatch-plugin/slack-desc b/desktop/xfce4-mailwatch-plugin/slack-desc
new file mode 100644
index 0000000000..3f52477807
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-mailwatch-plugin: xfce4-mailwatch-plugin (XFCE plugin for checking mails periodically)
+xfce4-mailwatch-plugin:
+xfce4-mailwatch-plugin: Mailwatch is a plugin for the XFCE4 panel. It is a comfortable multi-
+xfce4-mailwatch-plugin: threaded, multi-mailbox, multi-protocol plugin for checking mails
+xfce4-mailwatch-plugin: periodically. It is intended to replace the current (4.0, 4.2) mail
+xfce4-mailwatch-plugin: checker plugin in Xfce 4.4.
+xfce4-mailwatch-plugin:
+xfce4-mailwatch-plugin: Homepage: http://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin
+xfce4-mailwatch-plugin:
+xfce4-mailwatch-plugin:
+xfce4-mailwatch-plugin:
diff --git a/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
new file mode 100644
index 0000000000..5e97a80d41
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-mailwatch-plugin
+
+# Copyright 2009 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Ján Sučan <sucan@runbox.com>
+
+PRGNAM=xfce4-mailwatch-plugin
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Do not use a function which was removed in newer gnutls versions
+patch -p1 < $CWD/gnutls-transport-set-lowat.patch
+
+# Add additional linker flags in order to build the plugin with the
+# newer Xfce versions
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-lxfcegui4 -lgcrypt" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.info b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.info
new file mode 100644
index 0000000000..3fb33a2bf6
--- /dev/null
+++ b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="xfce4-mailwatch-plugin"
+VERSION="1.1.0"
+HOMEPAGE="http://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin"
+DOWNLOAD="http://spuriousinterrupt.org/files/mailwatch/xfce4-mailwatch-plugin-1.1.0.tar.bz2"
+MD5SUM="f84dce86be1d7f25f169f262aaacee4e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ján Sučan"
+EMAIL="sucan@runbox.com"